﻿/*
 *
 *
 *    Program.cs
 *
 *    License: GNU General Public License Version 3.0.
 *    
 *    Copyright (C) 2017 by Matthew K. Roberts, KK5JY. All rights reserved.
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *    
 *    This program is distributed in the hope that it will be useful, but
 *    WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    General Public License for more details.
 *    
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see: http://www.gnu.org/licenses/
 *    
 *
 */

using Gtk;

namespace KK5JY.SMI.GTK {
	public class Program {
		static void Main(string[] args) {
			Application.Init();
			using (var window = new MainWindow()) {
				window.DeleteEvent += WindowDeleteEvent;
				window.ShowAll();
				Application.Run();
			}
		}

		/// <summary>
		/// Closes the application when the main window is deleted.
		/// </summary>
		static void WindowDeleteEvent(object o, DeleteEventArgs args) {
			Application.Quit();
		}
	}
}
